<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Name: VraagstellingAanMDO
Description: Template for concept: VraagstellingAanMDO (oncozon-colorectaal-dataelement-385) This is a generated template: item2textObservation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040">
   <title>VraagstellingAanMDO</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]
Item: (VraagstellingAanMDO)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]
Item: (VraagstellingAanMDO)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]"
         id="d41e1786-false-d22406e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="string(@classCode) = ('OBS')">(VraagstellingAanMDO): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="string(@moodCode) = ('EVN')">(VraagstellingAanMDO): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']) &gt;= 1">(VraagstellingAanMDO): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']) &lt;= 1">(VraagstellingAanMDO): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &gt;= 1">(VraagstellingAanMDO): element hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &lt;= 1">(VraagstellingAanMDO): element hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:text) &gt;= 1">(VraagstellingAanMDO): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="count(hl7:text) &lt;= 1">(VraagstellingAanMDO): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']
Item: (VraagstellingAanMDO)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']"
         id="d41e1792-false-d22449e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VraagstellingAanMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.107')">(VraagstellingAanMDO): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.107' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]/hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]
Item: (VraagstellingAanMDO)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]/hl7:code[(@code = 'VraagstellingAanMDO' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]"
         id="d41e1797-false-d22464e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VraagstellingAanMDO): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.html"
              test="@nullFlavor or (@code='VraagstellingAanMDO' and @codeSystem='2.16.840.1.113883.2.4.3.11.60.110.5.3' and @displayName='VraagstellingAanMDO')">(VraagstellingAanMDO): de elementwaarde MOET een zijn van 'code 'VraagstellingAanMDO' codeSystem '2.16.840.1.113883.2.4.3.11.60.110.5.3' displayName='VraagstellingAanMDO''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.107']]/hl7:text
Item: (VraagstellingAanMDO)
-->
</pattern>
