<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Name: BeleidRichtlijn?
Description: Template for concept: BeleidRichtlijn? (oncozon-colorectaal-dataelement-492) This is a generated template: item2simpleObservation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556">
   <title>BeleidRichtlijn?</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]
Item: (BeleidRichtlijn)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]
Item: (BeleidRichtlijn)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]"
         id="d41e9604-false-d40293e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="string(@classCode) = ('OBS')">(BeleidRichtlijn): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="string(@moodCode) = ('EVN')">(BeleidRichtlijn): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']) &gt;= 1">(BeleidRichtlijn): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']) &lt;= 1">(BeleidRichtlijn): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="count(hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &gt;= 1">(BeleidRichtlijn): element hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="count(hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &lt;= 1">(BeleidRichtlijn): element hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(BeleidRichtlijn): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']
Item: (BeleidRichtlijn)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']"
         id="d41e9610-false-d40334e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeleidRichtlijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.240')">(BeleidRichtlijn): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.240' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]
Item: (BeleidRichtlijn)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:code[(@code = 'BeleidRichtlijn?' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]"
         id="d41e9615-false-d40349e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeleidRichtlijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="@nullFlavor or (@code='BeleidRichtlijn?' and @codeSystem='2.16.840.1.113883.2.4.3.11.60.110.5.3' and @displayName='BeleidRichtlijn?')">(BeleidRichtlijn): de elementwaarde MOET een zijn van 'code 'BeleidRichtlijn?' codeSystem '2.16.840.1.113883.2.4.3.11.60.110.5.3' displayName='BeleidRichtlijn?''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.240
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (BeleidRichtlijn)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.240']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d41e9620-false-d40365e0">
      <extends rule="BL"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3')">(BeleidRichtlijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
