<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Name: BehOpt4
Description: Template for concept: BehOpt4 (oncozon-colorectaal-dataelement-1206) This is a generated template: item2simpleObservation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340">
   <title>BehOpt4</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]
Item: (BehOpt4)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]
Item: (BehOpt4)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]"
         id="d41e9850-false-d40811e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="string(@classCode) = ('OBS')">(BehOpt4): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="string(@moodCode) = ('EVN')">(BehOpt4): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']) &gt;= 1">(BehOpt4): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']) &lt;= 1">(BehOpt4): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="count(hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &gt;= 1">(BehOpt4): element hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="count(hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &lt;= 1">(BehOpt4): element hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(BehOpt4): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']
Item: (BehOpt4)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']"
         id="d41e9856-false-d40852e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BehOpt4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.245')">(BehOpt4): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.245' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]
Item: (BehOpt4)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:code[(@code = 'BehOpt4' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]"
         id="d41e9861-false-d40867e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BehOpt4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="@nullFlavor or (@code='BehOpt4' and @codeSystem='2.16.840.1.113883.2.4.3.11.60.110.5.3' and @displayName='BehOpt4')">(BehOpt4): de elementwaarde MOET een zijn van 'code 'BehOpt4' codeSystem '2.16.840.1.113883.2.4.3.11.60.110.5.3' displayName='BehOpt4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.245
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (BehOpt4)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.245']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d41e9866-false-d40883e0">
      <extends rule="ST"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3')">(BehOpt4): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
