<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Name: TNMTumorClassificatie
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000">
   <title>TNMTumorClassificatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]"
         id="d41e12087-false-d47781e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]) &gt;= 1">(TNMTumorClassificatie): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]) &lt;= 1">(TNMTumorClassificatie): element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]"
         id="d41e12095-false-d47892e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@classCode) = ('CLUSTER')">(TNMTumorClassificatie): de waarde van classCode MOET 'CLUSTER' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@moodCode) = ('EVN')">(TNMTumorClassificatie): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']) &gt;= 1">(TNMTumorClassificatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']) &lt;= 1">(TNMTumorClassificatie): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(TNMTumorClassificatie): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(TNMTumorClassificatie): element hl7:statusCode[@code = 'completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(TNMTumorClassificatie): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.267']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.268']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.268']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.269']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.269']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.214']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.214']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.215']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.215']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.270']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.270']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.271']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.271']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.272']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.272']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.273']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.273']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.281']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.281']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.282']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.282']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.283']]]) &lt;= 1">(TNMTumorClassificatie): element hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.283']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']"
         id="d41e12104-false-d48067e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTumorClassificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.280')">(TNMTumorClassificatie): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.280' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:id
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:id"
         id="d41e12112-false-d48081e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTumorClassificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d41e12124-false-d48092e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTumorClassificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="@nullFlavor or (@code='completed')">(TNMTumorClassificatie): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:effectiveTime
Item: (TNMTumorClassificatie)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:effectiveTime"
         id="d41e12137-false-d48108e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TNMTumorClassificatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.267']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.267']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.268']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.268']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.269']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.269']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.214']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.214']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.215']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.215']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.270']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.270']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.271']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.271']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.272']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.272']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.273']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.273']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.281']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.281']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.282']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.282']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.280
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.283']]]
Item: (TNMTumorClassificatie)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.280']]/hl7:component[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.283']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(TNMTumorClassificatie): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(TNMTumorClassificatie): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
