<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Name: OncozonFamilieanamnese
Description: Onco MDO Familieanamnese
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000">
   <title>OncozonFamilieanamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]
Item: (OncozonFamilieanamnese)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]
Item: (OncozonFamilieanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]"
         id="d41e14494-false-d126820e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']) &gt;= 1">(OncozonFamilieanamnese): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']) &lt;= 1">(OncozonFamilieanamnese): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(OncozonFamilieanamnese): element hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(OncozonFamilieanamnese): element hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(OncozonFamilieanamnese): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(OncozonFamilieanamnese): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(OncozonFamilieanamnese): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(OncozonFamilieanamnese): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']
Item: (OncozonFamilieanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']"
         id="d41e14499-false-d126866e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonFamilieanamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.76')">(OncozonFamilieanamnese): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.76' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (OncozonFamilieanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:code[(@code = '8670-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e14504-false-d126881e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonFamilieanamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="@nullFlavor or (@code='8670-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(OncozonFamilieanamnese): de elementwaarde MOET een zijn van 'code '8670-2' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="@displayName">(OncozonFamilieanamnese): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:title[not(@nullFlavor)]
Item: (OncozonFamilieanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:title[not(@nullFlavor)]"
         id="d41e14511-false-d126900e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonFamilieanamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:text[not(@nullFlavor)]
Item: (OncozonFamilieanamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:text[not(@nullFlavor)]"
         id="d41e14517-false-d126910e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OncozonFamilieanamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.76
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:entry[@typeCode = 'COMP']
Item: (OncozonFamilieanamnese)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:entry[@typeCode = 'COMP']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="string(@typeCode) = ('COMP')">(OncozonFamilieanamnese): de waarde van typeCode MOET 'COMP' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(OncozonFamilieanamnese): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: oncozon-colorectaal-d41e14524
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.76']]/hl7:entry[@typeCode = 'COMP']
Item: (OncozonFamilieanamnese)
--></pattern>
