<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Registreren specifiek deel (2.16.840.1.113883.2.4.3.11.60.110.4.29 2020-10-01T11:55:47)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario aanvraag-specifiek -->

   <!-- OncomdoCDAColorectalDocument -->
   <pattern>
      <title>OncomdoCDAColorectalDocument</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.105']]"
                 see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201001T165630/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.105-2019-01-16T093927.html">(OncomdoCDAColorectalDocument): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.105']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.105-2019-01-16T093927.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.105-2019-01-16T093927-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- VraagstellingAanMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.107-2018-12-04T151040.sch"/>
   <!-- OnderzoekOncoZON -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.108-2018-12-04T223651.sch"/>
   <!-- PAPost -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.109-2018-12-04T220445.sch"/>
   <!-- RedenHerbespreking -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.110-2018-12-04T221023.sch"/>
   <!-- ErvaringenPatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.111-2018-12-04T221121.sch"/>
   <!-- Klinische_studie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.112-2018-12-04T221243.sch"/>
   <!-- AdviesVorigMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.113-2018-12-04T221456.sch"/>
   <!-- Aanvulling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.114-2018-12-04T221746.sch"/>
   <!-- LocatieTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.115-2018-11-25T142754.sch"/>
   <!-- LocalisatieTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.116-2020-06-08T224944.sch"/>
   <!-- TypeTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.117-2018-11-25T145712.sch"/>
   <!-- Morfologie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.118-2020-06-08T225031.sch"/>
   <!-- M_PrimaireTumorAantal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.119-2020-06-08T224742.sch"/>
   <!-- EersteIncidDatum -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.120-2018-11-25T140957.sch"/>
   <!-- StreefBehandeldatum -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.121-2018-11-25T141109.sch"/>
   <!-- T_Tumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.122-2019-02-05T171839.sch"/>
   <!-- CRMBedreigd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.123-2018-12-04T165304.sch"/>
   <!-- ExtramesorectaleKlierenPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.124-2018-12-04T165813.sch"/>
   <!-- ExtramuraleVeneuzeInvasie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.125-2018-12-04T170127.sch"/>
   <!-- MSI -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.126-2018-12-04T170343.sch"/>
   <!-- TEM_Endo-echo -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.127-2018-12-04T171743.sch"/>
   <!-- uTNM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.128-2020-06-09T100343.sch"/>
   <!-- LeverMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.129-2019-02-10T134743.sch"/>
   <!-- LongMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.130-2019-02-10T135214.sch"/>
   <!-- BotMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.131-2019-02-10T135246.sch"/>
   <!-- PeritoniaalMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.132-2019-02-10T135316.sch"/>
   <!-- OvariumMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.133-2019-02-10T135828.sch"/>
   <!-- HersenenMetaPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.134-2019-02-10T135855.sch"/>
   <!-- EldersMeta -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.135-2019-02-10T135926.sch"/>
   <!-- CRS -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.136-2019-02-10T125158.sch"/>
   <!-- EHDPos -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.137-2018-12-04T223426.sch"/>
   <!-- CombiLeverLongPossible -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.138-2018-12-04T223527.sch"/>
   <!-- TypeOK -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.139-2019-02-22T165706.sch"/>
   <!-- Radicaliteit -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.140-2018-12-04T220709.sch"/>
   <!-- ScopieVolledig -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.141-2018-12-04T143345.sch"/>
   <!-- TumorVoorOmslagplooi -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.142-2018-12-04T143345.sch"/>
   <!-- Obstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.143-2018-12-04T143345.sch"/>
   <!-- Circulair -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.144-2018-12-04T143345.sch"/>
   <!-- AantalLaesies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.145-2018-12-04T143345.sch"/>
   <!-- AfstandTotAnus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.146-2018-12-04T143345.sch"/>
   <!-- AantalPoliepenVerwijderd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.147-2018-12-04T143345.sch"/>
   <!-- LengteTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.148-2018-12-04T143345.sch"/>
   <!-- TumorGespot -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.149-2018-12-04T143345.sch"/>
   <!-- OncologyMDOSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.150-2019-01-17T124357.sch"/>
   <!-- OncozonColorectalSpecific -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.151-2020-07-18T000000.sch"/>
   <!-- OncozonTNM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.152-2020-07-18T000000.sch"/>
   <!-- AnatomischStadium -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.153-2018-11-29T155526.sch"/>
   <!-- T_Tumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.154-2018-11-25T153207.sch"/>
   <!-- N_Lymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.155-2018-11-25T153415.sch"/>
   <!-- M_AfstandsMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.156-2018-11-25T153602.sch"/>
   <!-- ScopieVolledig -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.157-2018-11-23T131156.sch"/>
   <!-- TumorVoorOmslagplooi -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.158-2018-11-25T134210.sch"/>
   <!-- Obstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.159-2018-11-25T134256.sch"/>
   <!-- Circulair -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.160-2018-11-25T134328.sch"/>
   <!-- AantalLaesies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.sch"/>
   <!-- AfstandTotAnus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.162-2018-11-25T134512.sch"/>
   <!-- AantalPoliepenVerwijderd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.163-2018-11-25T140140.sch"/>
   <!-- LengteTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.164-2018-11-25T140404.sch"/>
   <!-- TumorGespot -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.165-2018-11-25T140630.sch"/>
   <!-- TotaalScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.166-2018-11-14T095827.sch"/>
   <!-- G8Leeftijd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.167-2018-11-14T095502.sch"/>
   <!-- InnameVoedsel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.168-2018-11-14T092058.sch"/>
   <!-- G8GewichtsVerlies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.169-2018-11-14T092058.sch"/>
   <!-- Mobiliteit -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.170-2018-11-14T092058.sch"/>
   <!-- NeuropsychologischeProblemen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.171-2018-11-14T092058.sch"/>
   <!-- G8BMI -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.172-2018-11-14T095112.sch"/>
   <!-- Medicatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.173-2018-11-14T095213.sch"/>
   <!-- Gezondheidsperceptie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.174-2018-11-14T095319.sch"/>
   <!-- DatumMDOGepland -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.175-2020-06-08T204502.sch"/>
   <!-- DatumMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.176-2020-06-08T204552.sch"/>
   <!-- Type_MDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.177-2018-11-07T104450.sch"/>
   <!-- BesprokenVanuitAnderZkhMaarNietVerwezen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.178-2020-06-08T205320.sch"/>
   <!-- KopieVerslagAan -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.179-2018-11-06T133633.sch"/>
   <!-- MateProbleem -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.180-2020-08-26T101944.sch"/>
   <!-- TotaleDosis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.181-2020-08-26T110657.sch"/>
   <!-- AantalFracties -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.182-2020-08-26T110753.sch"/>
   <!-- DosisPerFractie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.183-2020-08-26T110814.sch"/>
   <!-- KuurnaamMedicamenteuzeTherapie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.184-2020-08-26T114937.sch"/>
   <!-- SamenvattingEerdereOncoBeh -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.185-2020-06-08T213847.sch"/>
   <!-- SamenvattingCardialeVoorgeschiedenis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.186-2020-06-08T213302.sch"/>
   <!-- SamenvattingPulmonaleVoorgeschiedenis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.187-2020-06-08T213351.sch"/>
   <!-- Tumorsoort -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.188-2020-08-26T121304.sch"/>
   <!-- Genmutatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.189-2020-08-26T121327.sch"/>
   <!-- WensenVerwachtingPatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.190-2020-08-26T121154.sch"/>
   <!-- Dietetiek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.191-2020-06-08T215028.sch"/>
   <!-- Lastmeter -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.192-2020-06-12T152453.sch"/>
   <!-- HormonaleStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.193-2020-06-12T152612.sch"/>
   <!-- Ontlasting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.194-2020-06-08T220223.sch"/>
   <!-- Urineren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.195-2020-06-08T220323.sch"/>
   <!-- SamenvattingAnamnese -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.196-2020-07-14T121303.sch"/>
   <!-- RectaalToucher -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.197-2020-06-08T221241.sch"/>
   <!-- Gewichtsverlies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.198-2020-06-08T221712.sch"/>
   <!-- PalpabeleAfw -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.199-2020-06-08T221817.sch"/>
   <!-- HuidAfw -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.200-2020-06-08T221849.sch"/>
   <!-- TumorspecMeting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.201-2020-06-08T221923.sch"/>
   <!-- WHOPerformanceStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.202-2018-11-08T123601.sch"/>
   <!-- Prehabilitatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.203-2020-07-14T121219.sch"/>
   <!-- SamenvattingPathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.204-2018-11-23T112904.sch"/>
   <!-- SamenvattingBeeldvorming -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.205-2018-11-23T112816.sch"/>
   <!-- SamenvattingLaboratorium -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.206-2018-11-23T113257.sch"/>
   <!-- SamenvattingAanvullendOnderzoek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.207-2018-11-23T113848.sch"/>
   <!-- KwetsbaarAssessment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.208-2020-06-12T153123.sch"/>
   <!-- AnderScreeninginstrument -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.209-2020-08-26T153217.sch"/>
   <!-- RedenMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.210-2018-11-07T155625.sch"/>
   <!-- DatumMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.211-2018-11-07T104031.sch"/>
   <!-- Tumorgrootte -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.212-2020-08-31T155335.sch"/>
   <!-- Tumordiameter -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.213-2020-08-31T155433.sch"/>
   <!-- AnatomischStadium -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.214-2019-02-05T171839.sch"/>
   <!-- PrognostischStadium -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.215-2020-08-30T133156.sch"/>
   <!-- N_Lymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.216-2019-02-05T171839.sch"/>
   <!-- M_AfstandsMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.217-2019-02-05T171839.sch"/>
   <!-- T_Tumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.218-2019-02-05T171919.sch"/>
   <!-- N_Lymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.219-2019-02-05T171919.sch"/>
   <!-- M_AfstandsMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.220-2019-02-05T171919.sch"/>
   <!-- T_Tumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.221-2020-06-08T232403.sch"/>
   <!-- N_Lymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.222-2020-06-08T232437.sch"/>
   <!-- M_AfstandsMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.223-2020-06-08T232507.sch"/>
   <!-- Synchroon-Metachroon -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.224-2020-08-25T141118.sch"/>
   <!-- Diagnose -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.225-2020-06-11T160037.sch"/>
   <!-- Conclusie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.226-2020-06-11T155941.sch"/>
   <!-- Operabel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.227-2020-06-11T160511.sch"/>
   <!-- Resectabel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.228-2020-06-11T160550.sch"/>
   <!-- AnderGeg -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.229-2020-06-11T160806.sch"/>
   <!-- ScopieColorectaalSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.23-2019-01-17T124357.sch"/>
   <!-- MDOBeleid -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.230-2020-08-31T151430.sch"/>
   <!-- ExtraAanvullendOnderzoek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.231-2020-08-31T151516.sch"/>
   <!-- ToelichtingAanvullendOnderzoek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.232-2020-08-31T151548.sch"/>
   <!-- VsDiag -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.233-2020-06-11T161208.sch"/>
   <!-- VsCura -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.234-2020-06-11T161245.sch"/>
   <!-- Omschrijving -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.235-2020-06-12T154014.sch"/>
   <!-- VsPall -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.236-2020-06-11T161312.sch"/>
   <!-- Omschrijving -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.237-2020-07-14T170010.sch"/>
   <!-- Fup -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.238-2020-06-11T161403.sch"/>
   <!-- KlinStud -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.239-2018-12-08T134834.sch"/>
   <!-- OncomdoSocialAnamnesis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.24-2019-01-17T000000.sch"/>
   <!-- BeleidRichtlijn -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.240-2018-12-08T140556.sch"/>
   <!-- RedenAfwijkenRichtlijn -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.241-2018-12-08T140752.sch"/>
   <!-- DatAdv -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.242-2020-06-11T161938.sch"/>
   <!-- BehOpt2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.243-2020-06-11T162021.sch"/>
   <!-- BehOpt3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.244-2020-08-25T153320.sch"/>
   <!-- BehOpt4 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.245-2020-08-25T153340.sch"/>
   <!-- Definitief -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.246-2020-06-11T162110.sch"/>
   <!-- Opzet -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.247-2020-06-11T160947.sch"/>
   <!-- Presentatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.248-2020-06-08T220353.sch"/>
   <!-- VoorgeschiedenisMedicatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.249-2020-09-08T000000.sch"/>
   <!-- OncozonAnamnese -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.250-2017-10-24T000000.sch"/>
   <!-- OncozonHistoryProcedures -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.251-2020-09-08T000000.sch"/>
   <!-- Dosisradiotherapie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.252-2020-09-15T000000.sch"/>
   <!-- VerrichtingMetDosis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.253-2020-09-15T000000.sch"/>
   <!-- AlgeheleFitheid  -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.254-2020-09-15T000000.sch"/>
   <!-- OncozonGezondheidsituatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.255-2020-09-15T000000.sch"/>
   <!-- G8 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.256-2020-09-15T000000.sch"/>
   <!-- OncozonDiagnosePathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.257-2020-09-15T000000.sch"/>
   <!-- OncozonFamilieAnamnese -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.258-2020-09-17T000000.sch"/>
   <!-- OncozonGeriatrie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.259-2020-09-17T000000.sch"/>
   <!-- BiologischeRelatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.260-2018-11-08T084511.sch"/>
   <!-- ToelichtingFamilielid -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.261-2018-11-08T084511.sch"/>
   <!-- OverlijdensIndicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.262-2018-11-08T084511.sch"/>
   <!-- Leeftijd -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.263-2018-11-08T084511.sch"/>
   <!-- IsDoodsoorzaak -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.264-2018-11-08T084511.sch"/>
   <!-- Familielid -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.265-2018-11-08T084511.sch"/>
   <!-- Toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.266-2020-05-29T115935.sch"/>
   <!-- VersieTNM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.267-2020-05-29T120226.sch"/>
   <!-- GeintegreerdeTNMWaarde -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.268-2020-05-29T120504.sch"/>
   <!-- DatumTNMClassificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.269-2020-05-29T120604.sch"/>
   <!-- R_ResidueleTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.270-2020-05-29T120854.sch"/>
   <!-- L_lymfatischeInvasie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.271-2020-05-29T120955.sch"/>
   <!-- Pn_PerineuraleInvasie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.272-2020-05-29T121045.sch"/>
   <!-- V_VeneuzeInvasie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.273-2020-05-29T121135.sch"/>
   <!-- m_PrimaireTumorAantal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.274-2020-05-29T122108.sch"/>
   <!-- AfwijkingNummer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.275-2020-05-29T122815.sch"/>
   <!-- G_DifferentiatiegraadTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.276-2020-05-29T123113.sch"/>
   <!-- LocalisatieTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.277-2020-05-29T123237.sch"/>
   <!-- LocalisatieLymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.278-2020-05-29T123705.sch"/>
   <!-- LocalisatieMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.279-2020-05-29T124101.sch"/>
   <!-- TNMTumorClassificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.280-2020-09-17T000000.sch"/>
   <!-- PrimaireTumor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.281-2020-09-17T000000.sch"/>
   <!-- RegionaleLymfeklieren -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.282-2020-09-17T000000.sch"/>
   <!-- AfstandsMetastasen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.283-2020-09-17T000000.sch"/>
   <!-- OncozonDiagnoseBeeldvorming -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.285-2020-09-18T000000.sch"/>
   <!-- OncozonDiagnoseLaboratorium -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.286-2020-09-18T000000.sch"/>
   <!-- OncozonDiagnoseAanvullendOnderzoek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.287-2020-09-18T000000.sch"/>
   <!-- OncozonConclusieAdviesSectie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.288-2020-09-18T000000.sch"/>
   <!-- TumorDataColorectal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.289-2020-09-28T000000.sch"/>
   <!-- DiagnoseGroep -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.290-2018-11-07T131354.sch"/>
   <!-- OncozonMDO -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.291-2020-09-30T162827.sch"/>
   <!-- GenetischProfiel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.292-2020-09-30T000000.sch"/>
   <!-- NeoadjuvanteBehandelingen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.293-2020-09-30T000000.sch"/>
   <!-- AdjuvanteBehandelingen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.294-2020-09-30T000000.sch"/>
   <!-- OncomdoVoorgeschiedenisProblemen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.3-2019-01-08T000000.sch"/>
   <!-- OncologischeVoorgeschiedenis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.51-2019-03-05T000000.sch"/>
   <!-- OncozonLichamelijkOnderzoek -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.57-2019-03-08T000000.sch"/>
   <!-- OncozonGeriatricSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.66-2019-03-08T000000.sch"/>
   <!-- OncozonFamilieanamnese -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.76-2019-03-11T000000.sch"/>
   <!-- charlson_comorbidity_problem -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.110.10.9-2019-01-16T112734.sch"/>
   <!-- Stoptype -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9067-2016-06-17T102209.sch"/>
   <!-- Toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9069-2016-06-17T163405.sch"/>
   <!-- MPMedBehIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838.sch"/>
   <!-- MPCDAAanvullendeInstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818.sch"/>
   <!-- MPMAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009.sch"/>
   <!-- MPTAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316.sch"/>
   <!-- MPVSIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9102-2016-06-24T133045.sch"/>
   <!-- RedenMedicatieGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9114-2016-07-10T170744.sch"/>
   <!-- MPCDADosering -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9149-2016-07-25T134340.sch"/>
   <!-- RedenVanVoorschrijven -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9160-2016-11-09T134526.sch"/>
   <!-- MPMAVoorschrijver -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9166-2017-05-16T000000.sch"/>
   <!-- MPCDATAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9175-2017-05-22T171022.sch"/>
   <!-- MPMGIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626.sch"/>
   <!-- MPCDAMAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315.sch"/>
   <!-- MPCDAGebruikindicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9189-2017-10-26T161543.sch"/>
   <!-- MPCDAKopieIndicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaInhoud2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9233-2018-12-04T130547.sch"/>
   <!-- MPCDAMedicatieAfspraakSchema3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9235-2018-12-04T143321.sch"/>
   <!-- MPCDAMedicationInformation2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451.sch"/>
   <!-- MPCDAMedicationInformationProposal2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9263-2018-12-11T154012.sch"/>
   <!-- RedenMedicatieAfspraak2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9270-2018-12-18T111500.sch"/>
   <!-- RedenWijzStopMedicatieGebruik2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9271-2020-01-20T134522.sch"/>
   <!-- MPCDAMedicatiegebruikSchemaInhoud3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9279-2019-11-21T141551.sch"/>
   <!-- MPCDAMedicatiegebruikSchema5 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9281-2019-11-21T142645.sch"/>
   <!-- MPCDAToedieningsafspraakSchema4 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9299-2019-11-25T140232.sch"/>
   <!-- MPCDAToedieningsafspraakSchemaInhoud3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9300-2019-11-25T140358.sch"/>
   <!-- MPCDADosering2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9309-2019-11-25T164900.sch"/>
   <!-- Stoptype2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9313-2020-01-16T154100.sch"/>
   <!-- RedenToedieningsAfspraak2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9315-2020-01-20T125612.sch"/>
   <!-- MPCDAVolgensAfspraak2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9317-2020-01-20T141110.sch"/>
   <!-- zorgverlener-assignedEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000.sch"/>
   <!-- informant -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000.sch"/>
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2015-06-22T000000.sch"/>
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000.sch"/>
   <!-- playingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000.sch"/>
   <!-- scopingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000.sch"/>
   <!-- tabakGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.14-2018-06-11T000000.sch"/>
   <!-- tabakgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.16-2018-06-11T000000.sch"/>
   <!-- alcoholGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.18-2018-06-11T000000.sch"/>
   <!-- alcoholgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.19-2018-06-11T000000.sch"/>
   <!-- drugsgebruikstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.21-2018-06-11T000000.sch"/>
   <!-- drugsGebruik -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.22-2018-06-11T000000.sch"/>
   <!-- kleding -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.29-2018-06-11T000000.sch"/>
   <!-- product_instance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.21-2018-06-11T000000.sch"/>
   <!-- zorgverlener-participantRole-body -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.27-2018-06-11T000000.sch"/>
   <!-- participant_LOC -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.29-2018-06-11T000000.sch"/>
   <!-- positie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000.sch"/>
   <!-- contactpersoon-body -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.36-2018-06-11T000000.sch"/>
   <!-- lichaamsgewicht -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.28-2017-10-25T000000.sch"/>
   <!-- problem_active -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.19-2017-10-25T000000.sch"/>
   <!-- problem_status_active -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.20-2017-10-25T000000.sch"/>
   <!-- problem_status_inactive -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.21-2018-01-20T000000.sch"/>
   <!-- procedure_activity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.23-2017-10-25T000000.sch"/>
   <!-- procedure_observation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.24-2017-10-25T000000.sch"/>
   <!-- problem_inactive -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3.25-2018-01-20T000000.sch"/>
   <!-- lichaamslengte -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.30-2017-10-25T000000.sch"/>
   <!-- woonsituatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.34-2018-01-20T000000.sch"/>
   <!-- voedingsadvies -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.40-2018-01-20T000000.sch"/>
   <!-- problem_concern_act -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.45-2018-02-10T000000.sch"/>
   <!-- problem_verificationstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.54-2019-05-31T125008.sch"/>

</schema>
